Get Attribute Settings
get
/applications/{applicationName}/databases/{databaseName}/settings/outline/attributes
Returns attribute settings of the outline from the specified database.
Request
Path Parameters
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
Query Parameters
-
applicationNameForConnection:
Application name for connection.
-
connectionName:
Essbase connection name.
Response
200 Response
OK
Attribute settings returned successfully.
400 Response
Bad Request
Failed to get the attribute settings. The application or database name may be incorrect.
500 Response
Internal Server Error.
Examples
The following example shows how to get attribute settings for a cube.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X GET "https://myserver.example.com:9001/essbase/rest/v1/applications/Sample_Dynamic/databases/Basic/settings/outline/attributes" -H "accept: application/json"-u %User%:%Password%Example of Response Body
{
"attributes": {
"prefixSuffixValue": "Parent",
"prefixSuffixSeparator": "Underscore",
"prefixSuffixFormat": "Prefix",
"trueMemberName": "True",
"falseMemberName": "False",
"dateMemberNames": "Month First (mm-dd-yyyy)",
"numericRangesRepresent": "Upper bound inclusive",
"calcDimensionName": "Attribute Calculations",
"calcSumMember": "Sum",
"calcCountMember": "Count",
"calcMinimumMember": "Min",
"calcMaximumMember": "Max",
"calcAverageMember": "Avg"
}
}